| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DataProvider::AbstractEventFilter Class Reference

This abstract class can be used to filter events that are raised on an Observer. More...

`#include <Observable.qc.dox.h>`

Inheritance diagram for DataProvider::AbstractEventFilter:
[legend]

## Public Member Functions
abstract bool | filter (string event_id, hash< auto > event)
| If this returns True, then the event is raised.

## Detailed Description

This abstract class can be used to filter events that are raised on an Observer.